# Interface PythPriceItem

interface PythPriceItem {
binary : { data: string[]; encoding: string };
parsed : [
{
ema_price: {
conf: string;
expo: number;
price: string;
publish_time: number;
};
id: string;
metadata: {
prev_publish_time: number;
proof_available_time: number;
slot: number;
};
price: {
conf: string;
expo: number;
price: string;
publish_time: number;
};
}[],
];
}

- Defined in src/types/index.ts:181

#####
Index

### Properties

binary
parsed

##
Properties

### binary

binary: { data: string[]; encoding: string }

- Defined in src/types/index.ts:182

### parsed

parsed: [
{
ema_price: {
conf: string;
expo: number;
price: string;
publish_time: number;
};
id: string;
metadata: {
prev_publish_time: number;
proof_available_time: number;
slot: number;
};
price: { conf: string; expo: number; price: string; publish_time: number };
}[],
]

- Defined in src/types/index.ts:186